import { Component, ErrorInfo } from 'react';
import { StreamLayerProps } from './provider';
import '@streamlayer/react-ui/style.css';
export { useStreamLayer } from './app';
export declare const MastersStreamLayerProvider: React.FC<Omit<StreamLayerProps, 'autoEnable' | 'friendsTab' | 'hideFriends'> & {
    children: React.ReactNode;
}>;
export declare class MastersStreamLayerSDKReact extends Component<{
    betPack?: boolean;
    useContainer?: boolean;
}, {
    hasError: boolean;
}> {
    constructor(props: {
        betPack?: boolean;
        useContainer?: boolean;
    });
    static getDerivedStateFromError(): {
        hasError: boolean;
    };
    componentDidCatch(error: Error, info: ErrorInfo): void;
    render(): import("react/jsx-runtime").JSX.Element | null;
}
